# Uses of Class
com.sun.management.GcInfo

Packages that use GcInfo
Package
Description
com.sun.management
This package contains the JDK's extension to the standard implementation of the `java.lang.management` API and also defines the management interface for some other components of the platform.

## Uses of GcInfo in com.sun.management

Methods in com.sun.management that return GcInfo
Modifier and Type
Method
Description
`static GcInfo`
GcInfo.`from​(CompositeData cd)`
Returns a `GcInfo` object represented by the given `CompositeData`.
`GcInfo`
GarbageCollectionNotificationInfo.`getGcInfo()`
Returns the GC information related to the last garbage collection
`GcInfo`
GarbageCollectorMXBean.`getLastGcInfo()`
Returns the GC information about the most recent GC.
Constructors in com.sun.management with parameters of type GcInfo
Modifier
Constructor
Description
``
`GarbageCollectionNotificationInfo​(String gcName, String gcAction, String gcCause, GcInfo gcInfo)`
Constructs a `GarbageCollectionNotificationInfo` object.